Bug 496277 - ImportError: No module named linalg
ImportError: No module named linalg
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
: 497166 497536 (view as bug list)
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-17 11:48 EDT by Orion Poplawski
Modified: 2009-04-24 10:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 12:57:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-04-17 11:48:14 EDT
Description of problem:

$ python
Python 2.6 (r26:66714, Mar 17 2009, 11:44:14)
[GCC 4.4.0 20090313 (Red Hat 4.4.0-0.26)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python2.6/site-packages/numpy/__init__.py", line 130, in <module>
    import add_newdocs
  File "/usr/lib64/python2.6/site-packages/numpy/add_newdocs.py", line 9, in <module>
    from lib import add_newdoc
  File "/usr/lib64/python2.6/site-packages/numpy/lib/__init__.py", line 13, in <modul
e>
    from polynomial import *
  File "/usr/lib64/python2.6/site-packages/numpy/lib/polynomial.py", line 18, in <mod
ule>
    from numpy.linalg import eigvals, lstsq
ImportError: No module named linalg

Version-Release number of selected component (if applicable):
numpy-1.3.0-2.fc11.x86_64
Comment 1 Jon Ciesla 2009-04-17 11:52:19 EDT
Looks like that was moved to the f2py package.  Peter, I was under the impression that that was desired.  It looks like I should move linalg back to the main numpy package.  What about distutils and fft?
Comment 2 Jon Ciesla 2009-04-17 11:54:18 EDT
Perhaps this was the root cause of https://bugzilla.redhat.com/show_bug.cgi?id=496218 ?
Comment 3 Jon Ciesla 2009-04-17 12:48:57 EDT
Hmm.  Definately needs fft too.  Testing. . .
Comment 4 Jon Ciesla 2009-04-17 13:39:08 EDT
Looks like fft and linalg must stay in numpy, distutils and f2py can be in -f2py.

Building fix for rawhide, and will revert changes made this morning to pygame.
Comment 5 Orion Poplawski 2009-04-17 14:25:00 EDT
Be sure to file a rel-eng ticket to get the build into F-11.
Comment 6 Jon Ciesla 2009-04-17 16:16:55 EDT
Rel-eng ticket:


https://fedorahosted.org/rel-eng/ticket/1524
Comment 7 Jon Ciesla 2009-04-20 12:57:40 EDT
Fixed.
Comment 8 Jon Ciesla 2009-04-23 08:31:51 EDT
*** Bug 497166 has been marked as a duplicate of this bug. ***
Comment 9 Andrew McNabb 2009-04-23 10:27:40 EDT
As of this morning, this fix has still not been pushed into Rawhide.  Should this ticket be closed if the fix is only available in koji?
Comment 10 Jon Ciesla 2009-04-23 10:40:54 EDT
Odd, it's tagged dist-f11-override, but not dist-f11.  I've reopened and commented on the rel-eng ticket.
Comment 11 Rex Dieter 2009-04-23 10:49:33 EDT
fixed now, numpy didn't get tagged properly (will show up in next rawhide compose)
Comment 12 Jon Ciesla 2009-04-23 10:59:08 EDT
Thanks!
Comment 13 Matthew Miller 2009-04-24 10:53:59 EDT
*** Bug 497536 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.